Bug 1121387 - HAMA bluetooth dongle not working [NEEDINFO]
Summary: HAMA bluetooth dongle not working
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-20 10:27 UTC by a.r.welter
Modified: 2014-12-10 14:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 14:58:52 UTC
jforbes: needinfo?


Attachments (Terms of Use)
add manufacturer id 11 to check (741 bytes, patch)
2014-07-20 10:27 UTC, a.r.welter
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Linux Kernel 60901 None None None Never

Description a.r.welter 2014-07-20 10:27:20 UTC
Created attachment 919357 [details]
add manufacturer id 11 to check

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. plug in usb bluetooth dongle
2. hcitool hci0 up
3.

Actual results:
Can't init device hci0: Invalid request code (56)

Expected results:
Status of hci0 set to "UP"

Additional info:

The problem seems to be fixed with the attached patch applied to 3.15.5-200.fc20.x86_64. After booting a kernel with the patch I can successfully enable the dongle and scan for devices. hciconfig hci0 up shows the expected result.

I found this here
https://bugzilla.kernel.org/show_bug.cgi?id=60901
so I do not really know what this is about, but it works.

For some reason the check for manufacturer id 11 is not included in the current stable kernel (3.15.5-200.fc20.x86_64).

Dongle info:

[  679.961022] usb 6-1: new full-speed USB device number 3 using uhci_hcd
[  680.115039] usb 6-1: New USB device found, idVendor=0c10, idProduct=0000
[  680.115043] usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  680.115046] usb 6-1: Product: SiW
[  680.115048] usb 6-1: Manufacturer: SiW
[  680.115051] usb 6-1: SerialNumber: 916306F61100

Comment 1 Justin M. Forbes 2014-11-13 15:58:33 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 2 Justin M. Forbes 2014-12-10 14:58:52 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.